package com.gree.mall.miniapp.enums.material;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.miniapp.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum PartsAttrEnum implements BaseEnum {

    NEW("NEW", "新件"),
    OLD("OLD", "旧件"),
    WAY("WAY", "在途"),
    TEMP_NEW("TEMP_NEW", "临占新件"),
    TEMP_OLD("TEMP_OLD", "临占旧件"),
    CHANGE_NEW("CHANGE_NEW", "转销售新件"),;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}
